﻿using System;
using System.Collections.ObjectModel;

namespace TestApp
{
    public class TDataCollection : ObservableCollection<TData>
    {
        #region Constructor

        public TDataCollection()
        {
        }

        public TDataCollection(int loadSize)
        {
            this.LoadData(loadSize);
        }

        #endregion // Constructor

        #region LoadData

        public void LoadData(int loadSize)
        {
            for (int i = 0; i < loadSize; i++)
            {
                this.Add(new TData
                {
                    Int = i,
                    Double = i * 2.5,

                });
            }
        }

        #endregion // LoadData
    }
}
